Arbor 3: FSM & BT Graph Editor 3.1.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleField< T > Class Template Reference

A base class for dealing with flexible types with multiple reference methods. More...

Inheritance diagram for FlexibleField< T >:

## Public Member Functions
| FlexibleField ()
| FlexibleField default constructor More...
| FlexibleField (T value)
| FlexibleField constructor More...
| FlexibleField (AnyParameterReference parameter)
| FlexibleField constructor More...
| FlexibleField (InputSlotAny slot)
| FlexibleField constructor More...

## Static Public Member Functions
static | operator T (FlexibleField< T > flexible)
| Cast FlexibleField to T. More...
static | operator FlexibleField< T > (T value)
| Cast T to FlexibleField. More...

## Properties
FlexibleType | type`[get]`
| It returns a type More...
Parameter | parameter`[get]`
| It return a Paramter. More...
T | value`[get]`
| It returns a value More...

## Detailed Description

A base class for dealing with flexible types with multiple reference methods.

To use it, inherit T by specifying a user-defined class.

Template Parameters

  T | Serializable type

Type Constraints

  T | : | new() |

## Constructor & Destructor Documentation

FlexibleField | ( |  | ) |

FlexibleField default constructor

FlexibleField | ( | T | value | ) |

FlexibleField constructor

Parameters

  value | Value

FlexibleField | ( | AnyParameterReference | parameter | ) |

FlexibleField constructor

Parameters

  parameter | Parameter

FlexibleField | ( | InputSlotAny | slot | ) |

FlexibleField constructor

Parameters

  slot | Slot

## Member Function Documentation

static operator FlexibleField< T > | ( | T | value | ) |
| explicit static

Cast T to FlexibleField.

Parameters

  value | T

static operator T | ( | FlexibleField< T > | flexible | ) |
| explicit static

Cast FlexibleField to T.

Parameters

  flexible | FlexibleField

## Property Documentation

Parameter parameter
| get

It return a Paramter.

It is null if Type is other than Parameter.

FlexibleType type
| get

It returns a type

T value
| get

It returns a value